package imageInference

import "gitlink.org.cn/JointCloud/pcm-coordinator/internal/scheduler/service/inference"

const (
	CLASSIFICATION        = "image"
	CLASSIFICATION_AiTYPE = "11"
)

type ImageClassification struct {
}

func NewImageClassification() *ImageClassification {
	return &ImageClassification{}
}

func (ic *ImageClassification) AppendRoute(urls []*inference.InferUrl) error {
	for i, _ := range urls {
		urls[i].Url = urls[i].Url + inference.FORWARD_SLASH + CLASSIFICATION
	}
	return nil
}

func (ic *ImageClassification) GetAiType() string {
	return CLASSIFICATION_AiTYPE
}
